clc;clear all;close all
%% Description
% This script is written by Jay Lee in 2024/06/10

%% Parameter ==========================
ST = datenum(2020,07,22,21,00,00);
ET = datenum(2020,07,23,22,00,00);
x_tick = [ST:2/24:ET];

FS = 14; % Font Size
LW = 1.5 % Line width

% LISST File ===================
files = dir('*.csv');

LISST_Time = [];
VC_LG_153 = [];
VC_63_153 = [];
VC_10_63 = [];
VC_SM_10 = [];
LISST_Depth = [];

for ii=1:size(files)

    if files(ii).bytes < 5 | findstr(files(ii).name,'_') > 0
        continue
    end

    [Data] = csvread(files(ii).name);
    LISST_Time_temp = datenum(Data(1,43:48));
    LISST_Depth_temp = Data(:,41);
    VC_SM_10_temp = sum(Data(:,1:13)')';
    VC_10_63_temp = sum(Data(:,14:24)')';
    VC_63_153_temp = sum(Data(:,25:29)')';
    VC_LG_153_temp = sum(Data(:,30:36)')';
    clear Data

    if isempty(find(LISST_Depth_temp > 10))
        continue
    end

    % Sorting the Data and Removing the Data at Same Depth-----------------------------------
    [a, index1] = sort(LISST_Depth_temp,'descend');
    LISST_Depth_temp = LISST_Depth_temp(index1);
    VC_SM_10_temp = VC_SM_10_temp(index1);
    VC_10_63_temp = VC_10_63_temp(index1);
    VC_63_153_temp = VC_63_153_temp(index1);
    VC_LG_153_temp = VC_LG_153_temp(index1);

    index2 = find(diff(LISST_Depth_temp)==0);
    LISST_Depth_temp(index2) = [];
    VC_SM_10_temp(index2) = [];
    VC_10_63_temp(index2) = [];
    VC_63_153_temp(index2) = [];
    VC_LG_153_temp(index2) = [];

    index3 = find(LISST_Depth_temp<=3);
    LISST_Depth_temp(index3) = [];
    VC_SM_10_temp(index3) = [];
    VC_10_63_temp(index3) = [];
    VC_63_153_temp(index3) = [];
    VC_LG_153_temp(index3) = [];
    clear a index1 index2 index3

    % Arranging Data --------------------
    LISST_Time = [LISST_Time_temp];
    LISST_Depth = [LISST_Depth_temp'];
    VC_LG_153 = [VC_LG_153_temp];
    VC_63_153 = [VC_63_153_temp];
    VC_10_63 = [VC_10_63_temp];
    VC_SM_10 = [VC_SM_10_temp];
    clear VC_LG_153_temp VC_63_153_temp VC_10_63_temp VC_SM_10_temp LISST_Depth_temp LISST_Time_temp

    %% Plotting Graph ===========================
    % Individual Profile ---------------------
    figure(1); set(gcf,'position',[130    59   452   736]);
    plot(VC_LG_153,LISST_Depth,'k','linewidth',LW)

    xlabel('VC_{153 µm} (µL/L)')
    ylabel('Depth (m)')
    axis ij; grid on
    set(gca,'fontsize',FS,'linewidth',LW)

end
